


<style>
 
    /* Individual preview item (model) */
    .preview {
        position: relative;
        border: 2px solid #ccc; /* Border for the preview box */
        border-radius: 10px 0 0 10px; /* Rounded corners on top-left and bottom-right */
        overflow: hidden; /* Ensure the image fits within the borders */
        background-color: #fff;
        box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1); /* Subtle shadow around the box */
        padding: 1px;
        display: flex;
        flex-direction: column; /* Arrange the elements vertically */
        height: 100%;
    }

    /* Image inside the model preview */
   /* Make the image bigger with more space on the left and right */
.preview img {
    width: 100%; /* Ensures it stretches to the full width of the container */
    height: auto; /* Maintains the aspect ratio */
    max-width: 90%; /* Makes the image slightly smaller to add space on the left and right */
    border-radius: 8px; /* Keeps slight rounding on the image corners */
    margin-left: auto; /* Centers the image */
    margin-right: auto; /* Centers the image */
    display: block; /* Ensures the image is a block-level element */
    transition: none !important; /* Disable any transition effect */
    transform: none !important; /* Disable any transform effect (zoom, scale, etc.) */
}
.item-grid .item .item-wrapper .preview img {
height: 240px!important;
max-width: 200px; 
}


.model-time{
    font-size: 12px;
    font-weight: 600;
    margin-top: 3px;
        display: flex;
        flex-direction: column;
        gap: 8px;
        margin-left: 2px;
        margin-right: 2px;
}


    /* Model details under the image */
    .model-details {
        margin-top: 12px;
        display: flex;
        flex-direction: column;
        gap: 8px;
        margin-left: 2px;
        margin-right: 2px;
    }

    /* Model name */
    .model-name {
        font-size: 18px;
        font-weight: bold;
        color: #333;
    }

    /* Age and site display */
    .model-age-site {
        display: flex;
        justify-content: space-between;
        font-size: 14px;
        color: #555;
    }

    .age {
        color: #888;
    }

    .site {
        color: #888;
        font-style: italic;
    }


.time-me{
    color: #888;
}



    /* Status (Live) */
    .model-status {
        text-align: center;
        margin-top: 8px;
    }

    .live-tag {
        background-color: #ff0000; /* Red background for the live status */
        color: white;
        padding: 5px 10px;
        border-radius: 4px;
        font-size: 14px;
        text-decoration: none;
    }

    .live-tag:hover {
        background-color: #cc0000; /* Darker red on hover */
    }

    /* Responsive Design */
    @media (max-width: 768px) {
     
        .model-name {
            font-size: 16px;
        }

        .model-age-site {
            font-size: 12px;
        }

        .live-tag {
            font-size: 12px;
        }
    }

    @media (max-width: 480px) {
        .model-name {
            font-size: 14px;
        }

        .model-age-site {
            font-size: 10px;
        }

        .live-tag {
            font-size: 10px;
        }
    }

    .item-grid .live-tag-Freechat:before {
    position: absolute;
    top: 25px;
    background-color: green !important;
}




.item-grid .live-tag-Group:before {
    position: absolute;
    top: 25px;
    background-color: orange;
}

.item-grid .live-tag-Private:before {
    position: absolute;
    top: 25px;
    background-color: blue;
}

.item-grid .live-tag-Offline:before {
    position: absolute;
    top: 25px;
    background-color: red;
}



.info-data-time {
    font-size: 12px;
    text-align: center;
    height: 30px;
    position: absolute;
    bottom: 120px;
    border-radius: 0 0 9px 9px;
    background-color: rgba(0, 0, 0, 0.5);
    color: white;
    width: 100%;

    /* Center content horizontally & vertically */
    display: flex;
    justify-content: center; /* Center horizontally */
    align-items: center; /* Center vertically */
}

.model-cams-name {
    font-weight: bold; /* Make text bold */
    text-transform: capitalize; /* Capitalize first letter */
}


.item-grid .item .item-wrapper .preview a:after {
    -webkit-transition: none !important;
    -o-transition: none !important;
    transition: none !important;
    content: "";
    display: block;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    background-color:transparent!important;
    position: absolute;
    z-index: 9;
    opacity: 0; /* Keep the opacity at 0 if you want the overlay hidden */
    transform: none !important; /* Disable any transform (e.g., zoom) */
}




/* Remove any hover effect for the .item */
.item-grid .item,
.item-grid .item .item-wrapper .preview,
.item-grid .item .item-wrapper .preview img {
    transition: none !important;  /* Disable any transition effect */
    transform: none !important;   /* Disable any transform effect (zoom, scale, etc.) */
}

#webcams{
    margin-right: 15px !important;
    margin-left: 40px !important;
}




</style>



<?php if ($m['numImages'] > 0): ?>
    <div class="preview " data-site="<?= $m['site'] ?>" data-nickname="<?= $m['nickname'] ?>" data-featured="<?= !empty($m['featured']) ? 1 : 0 ?>">
         <!-- Featured Label in top-right corner -->
         <?php if ($m['featured'] == 1): ?>
            <div class="featured-label">Featured</div>
        <?php endif; ?>

        <a href="<?= strtolower(encodeUrl('webcamsProfile' . ($webcamsProfilePerSite == 1 ? $m['siteShortNameCaps'] : '' ), $m)); ?>" title="<?= $m['title'] ?>" <?= \Avos\User\getNextMeta() ?>>
           


        <img data-src="<?= @getimagesize($m['imagePath'] . $m['numImages'] . '.webp') ? $m['imagePath'] . $m['numImages'] . '.webp' : ( @getimagesize($m['imageUrl']) ? $m['imageUrl'] : 'https://upload.wikimedia.org/wikipedia/commons/1/14/No_Image_Available.jpg' ) ?>" 
     live-src="<?= @getimagesize($m['imageUrl']) ? $m['imageUrl'] : 'https://upload.wikimedia.org/wikipedia/commons/1/14/No_Image_Available.jpg' ?>" 
     class="img lazy off"
     title="<?= $m['title'] ?>" loading="lazy" 
     alt="<?= $m['nickname'] ?> from <?= $m['site'] ?>">



                 
        </a>
        <div class="info-data-time">
        <div class="model-cams-name"><?= $m['nickname'] ?></div>
         
        </div>

        <!-- Model details under the image -->
       
       
       
       
        <div class="model-details">
           
        



        <div class="model-name"><?= $m['gender'] ?></div>
            <div class="model-age-site">
                <span class="age">Age : <?= $m['age'] ?></span>
                <span class="site"><?= $m['site'] ?></span>
               
               
               



            </div>
           
            <div class="model-time">
            <span class="time-me">
                     <? if ($m['statusTime'] < 60): ?>
                <?= $m['statusTime'] ?> mins,
            <? else: ?>
                <? printf('%0.1f', $m['statusTime'] / 60) ?> hrs,
            <? endif; ?>
            <?= $m['viewers'] ?> viewers
        </span>

        </div>


           
           
            <div class="model-status">
                <?php if ($gridStatus): ?>
                    <a class="live-tag live-tag-<?= $m['status'] ?>" href="<?= Avos\User\encodeRoomLink($m) ?>"><?= $m['status'] ?></a>
                <?php endif; ?>


                
            </div>
        </div>






    </div>
<?php endif; ?>
